package com.yuchen.saas.device.api.feign;

import com.thinkunion.park.service.common.iot.capability.devicemodel.DeviceModel;
import com.thinkunion.sdk.iot.bean.api.CallingDeviceServiceResponse;
import com.thinkunion.sdk.iot.bean.api.SettingDevicePropertyResponse;
import com.thinkunion.sdk.iot.bean.pojo.DeviceInfo;
import com.thinkunion.sdk.iot.bean.pojo.ProductInfo;
import com.yuchen.saas.device.api.dto.CallDeviceServiceDto;
import com.yuchen.saas.device.api.dto.SetIotDevicePropertyDto;
import com.yuchen.saas.device.api.dto.operatingEnd.NetDeviceModelAbilityQryReqDTO;
import com.yuchen.saas.device.api.entity.NetDeviceWalk;
import com.yuchen.saas.device.api.vo.ProductKeyVo;
import com.yuchen.saas.device.api.vo.operatingEnd.NetDeviceModelAbilityVO;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class IotFeignServiceFallback implements IotFeignService {

    @Override
    public R<List<ProductInfo>> findAllProduct() {
        return R.fail("iot服务调用失败");
    }

    @Override
    public R<List<ProductKeyVo>> findAllProductKey() {
        return R.fail("iot服务调用失败");
    }

    @Override
    public R<List<DeviceInfo>> findDeviceListIot(String productKey) {
        return R.fail("iot服务调用失败");
    }

    @Override
    public R<DeviceModel> getDeviceModel(String productKey) {
        return R.fail("iot服务调用失败");
    }

    @Override
    public R<SettingDevicePropertyResponse> setProperty(SetIotDevicePropertyDto dto) {
        return R.fail("iot服务调用失败");
    }

    @Override
    public R<CallingDeviceServiceResponse> callDeviceService(CallDeviceServiceDto dto) {
        return R.fail("iot服务调用失败");
    }

    @Override
    public R<NetDeviceWalk> getByDeviceName(String deviceName) {
        return R.fail("服务调用失败");
    }

    @Override
    public R<List<NetDeviceModelAbilityVO>> getByDeviceName(NetDeviceModelAbilityQryReqDTO qryDto) {
        return R.fail("服务调用失败");
    }


}
